require("ai.JINB.JINB")
--太阳公公的山谷
function c87592213.initial_effect(c)
	--Activate
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_ACTIVATE)
	e1:SetCode(EVENT_FREE_CHAIN)
	c:RegisterEffect(e1)

	local e2=Effect.CreateEffect(c)
	e2:SetDescription(aux.Stringid(87592213,0))
	e2:SetType(EFFECT_TYPE_FIELD+EFFECT_TYPE_TRIGGER_F)
	e2:SetCode(EVENT_CHAINING)
	e2:SetRange(LOCATION_FZONE)
	e2:SetCountLimit(1)
	e2:SetCondition(c87592213.con)
	e2:SetOperation(c87592213.op)
	c:RegisterEffect(e2)
end

function c87592213.con(e,tp,eg,ep,ev,re,r,rp)
	return re:IsActiveType(TYPE_MONSTER) and re:GetHandler():IsAttribute(ATTRIBUTE_LIGHT)
	and not Duel.IsExistingMatchingCard(Card.IsSetCard,re:GetHandlerPlayer(),LOCATION_HAND,0,1,nil,0x871)
end
function c87592213.op(e,tp,eg,ep,ev,re,r,rp)
	local p=re:GetHandlerPlayer()
	c=Duel.CreateToken(p,ac1[math.random(#ac1)])
	Duel.SendtoHand(c,p,REASON_RULE)
	--action
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_SINGLE)
	e1:SetCode(EFFECT_CANNOT_SSET)
	c:RegisterEffect(e1)
	local e2=Effect.CreateEffect(c)
	e2:SetType(EFFECT_TYPE_SINGLE)
	e2:SetCode(EFFECT_QP_ACT_IN_NTPHAND)
	c:RegisterEffect(e2)
end
